Bug 1462265 - [Docs][Auto Scaling] Fix parameter name in example
[Docs][Auto Scaling] Fix parameter name in example
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: async
: 10.0 (Newton)
Assigned To: Lukas Ruzicka
Charelle Collett
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 10:40 EDT by Ruchika K
Modified: 2017-06-27 03:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 03:51:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruchika K 2017-06-16 10:40:54 EDT
Description of problem:
name of image is incorrect in the example.

The fix is this:

In cirros.yaml: 
Change section 
volume:
    type: OS::Cinder::Volume
    properties:
      image: {get_param: cirros}
      size: 1

to

volume:
    type: OS::Cinder::Volume
    properties:
      image: {get_param: image}
      size: 1

Version-Release number of selected component (if applicable):
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/auto_scaling_for_compute/configure_auto_scaling_for_compute

How reproducible:
Always 

Steps to Reproduce:
1.
2.
3.

Actual results:
openstack stack create  -t template.yaml -e environment.yaml example
ERROR: Failed to validate: : resources.scaleup_group: : The Resource Type (OS::Nova::Server::Cirros) could not be found.


Expected results:
[stack@manager example1]$ openstack stack create  -t template.yaml -e environment.yaml example
+---------------------+--------------------------------------------+
| Field               | Value                                      |
+---------------------+--------------------------------------------+
| id                  | ca434a0b-0b7b-443b-9a2f-f445dbe212a8       |
| stack_name          | example                                    |
| description         | Example auto scale group, policy and alarm |
| creation_time       | 2017-06-16T14:37:19Z                       |
| updated_time        | None                                       |
| stack_status        | CREATE_IN_PROGRESS                         |
| stack_status_reason | Stack CREATE started                       |
+---------------------+--------------------------------------------+


Additional info:
Comment 1 Lucy Bopf 2017-06-23 03:17:14 EDT
Assigning to Lukas for review.
Comment 4 Charelle Collett 2017-06-26 20:24:21 EDT
Looks good to me, merged.

Note You need to log in before you can comment on or make changes to this bug.